Attributes of SpatiaLite layer shown as NULL

2009-08-19 06:03 AM - Alexander Bruy

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11943

Description

In attribute table of [[SpatiaLite]] layer all attributes shown as NULL values.

For testing:

    -  create a [[SpatiaLite]] database

    -  load data to it and open this layer in QGIS

    -  then open attribute table of this layer

I tested this on Windows XP Pro SP3 with QGIS 1.2.0 obtained from OSGEO4W installer (qgis-dev package, versions from 1.2.0-22 to

1.2.0-25). In QGIS 1.1 all works, attributes shown correctly.

Sample database attached.

Associated revisions

Revision 442d33b0 - 2009-08-19 05:02 PM - Jürgen Fischer

fix spatialite provider (fixes #1883 & 1884)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11438 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 52c420b0 - 2009-08-19 05:02 PM - Jürgen Fischer

fix spatialite provider (fixes #1883 & 1884)

git-svn-id: http://svn.osgeo.org/qgis/trunk@11438 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-08-19 06:32 AM - Paolo Cavallini

Confirmed on Debian unstable: attributes are shown with a different client (I tested SQLite manager), but not in the QGIS table

#2 - 2009-08-19 08:03 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:52c420b0 (SVN r11439)

2024-04-29 1/2

http://svn.osgeo.org/qgis/trunk/qgis@11438
http://svn.osgeo.org/qgis/trunk@11438


Files

cities.zip 128 KB 2009-08-19 Alexander Bruy

2024-04-29 2/2


